Collecting data with Trackers and Webhooks

  1. Home
  2. Docs
  3. Collecting data with Trackers and Webhooks
  4. Trackers – collecting data from your own applications
  5. Node.js tracker
  6. Setup

Setup

Compatibility

The Snowplow Node.js Tracker is compatible with Node.js versions 0.10.x and 0.11.x. Installing it requires npm.

Installation

Setting up the tracker should be straightforward if you are familiar with npm:

npm install snowplow-tracker

You can automatically save the Tracker as a dependency for your npm module like this:

npm install snowplow-tracker --save